

--set window resizable
love.window.setMode(800,600,{resizable = true})

--load images
local newImage = love.graphics.newImage("/images/grassMid.png")

--create a canvas object
local myObject = {}
myObject.canvas = love.graphics.newCanvas(100,100)
myObject.x = 0
myObject.y = 100

--draw image on to canvas
love.graphics.setCanvas(myObject.canvas)
    love.graphics.draw(newImage)
love.graphics.setCanvas()

function love.draw()
    love.graphics.print("Press P to change window size \n after window size change, the  tile below no longer drawn \n if we resize window, we don't have this problem with drawing")

    --draw canvas object
    love.graphics.draw(myObject.canvas,myObject.x,myObject.y)

    --draw a rectangle at position of canvas as proof, it is still present
    love.graphics.rectangle("line",myObject.x, myObject.y, myObject.canvas:getWidth(), myObject.canvas:getHeight())
end

function love.keypressed(key)
    --if p key is pressed, resize window
    --we don't actually change the size to make sure the new size is not the cause
    if key == "p" then love.window.updateMode(800,600) end
end